Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07442 DIP/Input Trivial Always Oct 2, 2019, 14:22 Oct 12, 2019, 03:47
Tester girosintornillos View Status Public Platform MAME (Official Binary)
Assigned To girosintornillos Resolution Fixed OS
Status [?] Resolved Driver gaelco.cpp
Version 0.214 Fixed in Version 0.215 Build
Fixed in Git Commit Github Pull Request #
Summary 07442: biomtoy, biomtoya, biomtoyb, biomtoyc, bioplayc: "Lives" DIP Switch shows badly the amount of lives
Description DIP Switch shows 2 lives but actually are 3 lives
Steps To Reproduce Open the DIP Switches menu and change to 3 Lives, after reset game the player have 4 lives instead of 3
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems biomtoy, biomtoya, biomtoyb, biomtoyc, bioplayc
Attached Files
png file icon biomtoy.png (84,367 bytes) Oct 2, 2019, 14:22 Uploaded by girosintornillos
girosintornillos
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.17012
Tafoid
Administrator
Oct 2, 2019, 19:32
The numbers match the service mode, but when it says "Lives" in service mode, I think it considers them "Lives in Reserve".
Would probably be best to change the wording of the dip switch to match the latter.
User avatar
No.17060
Osso
Developer
Oct 10, 2019, 16:04
Updated following Tafoid's idea.
User avatar
No.17074
M.A.S.H.
Senior Tester
Oct 12, 2019, 03:47
I accidentally changed this report before reading the source notes. But now everything is correct again.